[OOM] Don't fail when plugin is already installed
Helm plugin throws an error when plugin already installed.
Don't fail if it's the case.
Issue-ID: OOM-1
Signed-off-by: Sylvain Desbureaux <sylvain.desbureaux@orange.com>
Change-Id: If8bd3e636b0e305bf5502d61306d42d6776a4be6
diff --git a/shell/helm-repo-init.sh b/shell/helm-repo-init.sh
index 937f0e7..bfc3466 100755
--- a/shell/helm-repo-init.sh
+++ b/shell/helm-repo-init.sh
@@ -6,6 +6,6 @@
chartmuseum --port=6464 --storage="local" --storage-local-rootdir=".chartstorage" &> /dev/null &
source helm.prop
-$HELM_BIN plugin install https://github.com/chartmuseum/helm-push.git
+$HELM_BIN plugin install https://github.com/chartmuseum/helm-push.git || true
$HELM_BIN repo add local http://localhost:6464
$HELM_BIN repo add onap http://localhost:6464